<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:20:31 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.languages.common.extensionpoints (org.eclipse.papyrus.designer.languages.common.extensionpoints 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html" target="classFrame">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints" target="classFrame"><span class="interfaceName">ILangCodegen</span></a></li>
<li><a href="ILangCodegen2.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints" target="classFrame"><span class="interfaceName">ILangCodegen2</span></a></li>
<li><a href="ILangProjectSupport.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints" target="classFrame"><span class="interfaceName">ILangProjectSupport</span></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="AbstractSettings.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints" target="classFrame">AbstractSettings</a></li>
<li><a href="Activator.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints" target="classFrame">Activator</a></li>
<li><a href="GenerationConstants.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints" target="classFrame">GenerationConstants</a></li>
<li><a href="GeneratorSelectionDialog.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints" target="classFrame">GeneratorSelectionDialog</a></li>
<li><a href="LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints" target="classFrame">LanguageCodegen</a></li>
<li><a href="LanguageProjectSupport.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints" target="classFrame">LanguageProjectSupport</a></li>
<li><a href="Messages.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints" target="classFrame">Messages</a></li>
<li><a href="MethodInfo.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints" target="classFrame">MethodInfo</a></li>
<li><a href="SyncInformation.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints" target="classFrame">SyncInformation</a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="ILangCodegen.FILE_KIND.html" title="enum in org.eclipse.papyrus.designer.languages.common.extensionpoints" target="classFrame">ILangCodegen.FILE_KIND</a></li>
</ul>
</div>
</body>
</html>
